import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanCityLotBlacklist } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-28 12:00
 */
interface AdDeliveryPlanCityLotBlacklistCU extends ConditionUtil<AdDeliveryPlanCityLotBlacklistCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    CITY_ID: FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    LOT_ID: FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    DEL_FLAG: FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
}
declare class AdDeliveryPlanCityLotBlacklistMU extends TableUtilImpl<AdDeliveryPlanCityLotBlacklistCU, AdDeliveryPlanCityLotBlacklist> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanCityLotBlacklistCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    static get CITY_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    static get LOT_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    get CITY_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    get LOT_ID(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryPlanCityLotBlacklistCU>;
}
export { AdDeliveryPlanCityLotBlacklistMU, AdDeliveryPlanCityLotBlacklistCU };
